Stable
------
Version 0.9.0-1						2025/4
 * CQTスペクトル・CQTスペクトログラムに対応（ベータ版）
 * スペクトル表示・スペクトログラム表示で鍵盤を表示（ピアノロール風）できるようにした
 * スペクトル・スペクトログラムのカーソル表示で音高（音名）も表示するようにした
 * 波形を大きく拡大した後にスペクトログラムの表示で固まることがあるバグを修正
 * スペクトログラムの拡大率がかなり大きいとき，スクロールや縮小がされないことがあるバグを修正
 * スペクトログラムの時刻のずれを修正
 * プラグインにエラーがあった場合に落ちることがあるバグを修正
 * 印刷時にグリッドの色がおかしいことがあるバグを修正
 * スペクトログラムの印刷を最適化
 * ラベルから切り出しを行う機能を強化
 * 設定ダイアログのラベル関連の設定が機能していなかったバグを修正
 * 設定ダイアログの範囲ラベル関連の設定を追加
 * 対数周波数軸表示の際に範囲選択の描画が乱れることがあるバグを修正
 * Windowsのダークモードに部分的に対応した（メニューバー・メニューのみ）
 * スペクトログラム計算時に、計算完了位置を示すカーソルが表示されないことがあるバグを修正
 * スペクトログラムをカラーで表示した際に、カーソル表示が見づらいため、白背景を使うようにした
 * オーバービュー表示上でスクロール時に先頭に移動できないことがあるバグを修正
 * 表示範囲の同期でスペクトルとスペクトログラムの範囲を同期するようにした
 
Version 0.8.6-2						2024/5
 * 波形生成ダイアログにおいてファイル名を指定できるようにした
 * Macで録音用デバイスが無い場合に落ちることがあるバグを修正
 * Macでダイアログを開いている場合にドラッグ＆ドロップでファイルを開こうとすると固まるバグを修正
 
Version 0.8.6						2023/4
 * プロパティダイアログを実装
 * 従来のバージョンの「ファイルの情報」という文言を「ファイルのメタデータ」に変更
 * ファイル保存後に「ファイルのメタデータ」の一部の内容が更新されないことがあるバグを修正
 * ファイル保存の瞬間に落ちることがあるバグを修正
 * MP3ファイルのID3タグ関連の挙動を変更
 * 16ビット量子化以外のCAFファイルの読み書きが機能しないinput_cafとoutput_caf
   プラグインのバグを修正
 
Version 0.8.5-1						2023/3
 * MacのM1/M2にネイティブ対応
 * スペクトルおよびスペクトログラムの対数周波数軸での表示に対応
 * オーバービュー表示の範囲の描画が微妙にずれているバグを修正
 * スペクトログラムの縦軸の数字が拡大時に拡大されないバグを
   修正（どこかのバージョンでエンバグしたもの）
 * スペクトログラムの低域と高域の端が正しく描画されないことがある
   バグを修正
 * input_wavとoutput_wavプラグインによるfloat形式のWAVファイルへの対応
   （これまではlibsndfile経由）

Version 0.8.4-10					2021/8
 * ALACファイルのプラグインで，一部のWAVファイルを間違って読み込もうとして
   固まることがあるバグを修正

Version 0.8.4-9						2020/11/11
 * gtk3版がWaylandバックエンドを使用している環境で起動しないバグ
   （spComponentのバグ）を修正

Version 0.8.4-8						2019/12/24
 * ラベルを読み込もうとすると落ちることがあるバグを修正
 * ラベルのデータが保存のたびにスペースが増えていくことがあるバグを修正

Version 0.8.4-7						2019/4/14
 * Monkey's Audioファイルの入出力のmacOSとLinuxでのサポート
 * Windows 64ビット版で、Monkey's Audioファイル（.ape）を読み込もうとすると
   落ちるバグを修正

Version 0.8.4-6						2018/11/22
 * Windows版のVisual Studio 2017での再コンパイル
 * CAFファイル・ALACファイルのプラグインのファイルを開いたままになることがあるバグを修正

Version 0.8.4-5						2016/6/4
 * ドキュメントの更新
 * Windows版のVisual Studio 2015での再コンパイル
 * バージョン0.8.4以降で音声再生時にオーバービューのカーソルが動かない現象が
   が発生するバグを修正

Version 0.8.4-4						2016/4/30
 * ウィンドウタイトルのファイル形式の表示がおかしいことがあるバグを修正
 * PSファイルへの印刷が正しく行われないバグを修正

Version 0.8.4-3						2014/8/29
 * FLACファイル・CAFファイル・ALACファイルの入出力のサポート
 * ファイル情報がファイル形式によっては文字化けすることがあるバグを修正
 * ランドスケープで印刷した場合に拡大率がおかしいバグを修正
 * Cocoa版で印刷機能に対応
 * Cocoa版で16ビット量子化でないファイルの再生時にノイズが再生されるバグを修正
 * Cocoa版でフィルタリングダイアログの描画がされないことがあるバグを修正

Version 0.8.4-2						2014/3/31
 * サポートしていない形式のファイルを開こうとすると落ちることがあるバグを修正

Version 0.8.4-1						2014/3/29
 * Cocoa版でフォントダイアログを開くと落ちるバグを修正

Version 0.8.3-1						2012/9/3
 * Mac OS X のCocoaに暫定対応
 * 64bit OS正式対応
 * ホイールに正式対応
 * データを扱う構造体の実装を変更
 * gtkバージョンのドラッグ＆ドロップの動作を改善

Version 0.8.2-2b					2009/9/9
 * ラベルから波形の切り出しを行う機能の修正
 
Version 0.8.2-1b					2009/9/7
 * ラベルから波形の切り出しを行う機能を追加

Version 0.8.1-6b					2009/1/5
 * 波形生成ダイアログで、パーセンテージでゲインを指定できるようにした

Version 0.8.1-5b					2008/5/26
 * 浮動小数点形式のファイルの再生を可能にした
 * Windowsで、ショートカットファイルをそのまま開いてしまうバグを修正

Version 0.8.1-3b					2007/11/11
 * ツールバーに同期再生のボタンを追加
 * 同期再生時に、スクロールで再生位置を変えるようにした

Version 0.8.1-2b					2007/10/31
 * カーソル一時停止中に、早送りボタン、巻き戻しボタンで再生位置も変える
   ようにした

Version 0.8.1-1b					2007/10/29
 * マルチスレッド関連で固まるバグを修正
 * カーソルの一時停止機能を追加
 * ループ機能をオンにするボタンをツールバーに追加

Version 0.8.0-4b					2007/10/21
 * マルチスレッド関連で固まるバグ（マルチコアCPUを使用した場合に
   発生しやすいようです）をとりあえず修正（本質的な修正にはなってません）

Version 0.8.0-3b					2007/10/4
 * 情報エリアの幅を設定ダイアログで設定できるようにした
 * 情報エリアに「選択」タブを実装し、選択範囲をキーボードから
   ポイント単位で入力できるようにした

Version 0.8.0-2b					2007/10/3
 * 描画エリアのフォントを設定ダイアログで設定できるようにした
 * 情報エリアのテキストフィールドで、エンターキーにより
   次のラベルに移るようにした
 * 情報エリアにボタンを追加

Version 0.8.0-1b					2007/10/2
 * 印刷機能の追加

Version 0.6.12-5b					2007/8
 * 「ファイルの情報」の一部がファイル保存後に編集できなかったバグを修正

Version 0.6.12-4b (非公開、Mac OS Xのみ)		2006/7/21
 * Mac OS Xでの安定性の向上

Version 0.6.12-3b（非公開）				2005/10/24
 * フィルタリングの機能の追加

Version 0.6.12-2b（非公開）				2005/9/12
 * Smoothed Spectrumの表示で、ナイキスト周波数の半分で変な値が出るバグを修正

Version 0.6.12-1b（非公開）				2005/8/24
 * 波形生成機能・録音機能の追加
 * スペクトルやスペクトログラムの表示を，Intel SPL（Windows）／
   Altivec（Mac）によるFFTを使うものに切り替えて高速化

Version 0.6.11-4b（非公式、WindowsとMac OS Xのみ）	2005/2/13
 * Macのヘルプメニューが動作しないバグを修正
 * spAudioの更新

Version 0.6.11-3b（非公式、WindowsとMac OS Xのみ）	2004/7/25
 * ヘルプのサポート．
 * ASIOドライバー対応（プラグインによるオーディオドライバー読み込み機能）
 * 読み込みの若干の高速化
 * 複数spwaveを起動できないようにして、起動しようとした場合は、
   すでに起動しているspwaveにファイルを送るようにした
 * スペクトルウィンドウのオーバービューで再生しようとしてしまうバグを修正
 * 通常ラベルの移動の際、二つのラベルの時間を入れ替えることができないバグを修正
 * ラベルを編集する際、そのラベルを選択するようにした

Version 0.6.11-2b（非公開）
Version 0.6.11-1b（非公式、WindowsとMac OS Xのみ）	2004/2/10
 * スペクトログラムの機能を追加
 * 拡大表示したときに波形の位置がずれることがあるバグを修正
 * 時間情報だけのラベルが書き込めないバグを修正
 * 終了メニューが押せなくなることがあるバグを修正
 * 特定のチャネルだけ再生したときにノイズが入ることがあるバグを修正
 * Mac OS Xでアクティブなウィンドウが切り替わらないバグを修正
 * オーバービュー上で右クリック再生しているときに音声の最後の部分が
   再生されないことがあるバグを修正
 * libsndfileによる32ビットfloatファイルの読み書きがうまくいかないバグを修正
 * Deleteキーを押した場合、ラベルが選択されている場合はラベルを削除するように
   仕様変更

Version 0.6.10 （非公開）

Version 0.6.9-1b（非公式、Windowsのみ）		2003/8/25
 * 振幅を拡大する機能を追加
 * 振幅をパーセントで表示する機能を追加
 * 振幅のデシベル表示を追加
 * 平滑化群遅延などの分析方法を追加
 * 起動時に表示範囲を指定する機能を追加
 * 一部のスペクトルの表示を実部だけでやっていたバグを修正
 * 範囲ラベルの読み込み・書き込みでクラッシュするバグを修正
 * ラベルが非表示のときにラベルが選択できてしまうバグを修正
 * 分析の設定を変更してもオーバービューだけ変化しないバグを修正
 * 再読み込みでオーバービューだけ変化しないバグを修正
 * 時間軸が「分割秒」のとき、スペクトルウィンドウの軸の表示がおかしいバグを修正

Version 0.6.8-3				2002/4/29
 * 時間情報だけのラベルが読み込めないバグを修正
 * gccのいくつかのバージョンでSJISの文字が原因でコンパイルできなくなる
   バグを修正

Version 0.6.8-2				2002/4/7
 * 8ビットファイルがうまく保存できないことがあるバグを修正
 * Mac OS 8で異常終了するバグを修正

Version 0.6.8				2002/3/11
 * 波形のオーバービューを表示する機能を追加
 * 最大化機能を追加
 * 無音区間を挿入する機能を追加
 * Windows 2000/XPの正式サポート
 * 振幅の変更でdBと率の値が合わなかったバグを修正
 * クリップボードの一時データが削除されないバグを修正
 * Shift + 矢印キーによる範囲の拡大
Version 0.6.7-3b （非公開）		2002/2/5
 * ラベルリストでデータを表示するようにした
 * ラベル関係のバグ修正
Version 0.6.7-2b （非公開）		2002/1/18
 * レベルメーターの作成
 * ラベル関係のバグ修正
Version 0.6.7-1b （非公開）		2002/1/15
 * ラベルの移動
 * Shift + クリックによる範囲の拡大
 * 通常のラベルを保存したときに範囲ラベルまで保存されていたバグを修正
 * 範囲ラベルファイルの仕様変更
 * メインウィンドウにラベルを表示するエリア(情報エリア)を作成
 * 設定ダイアログにラベルタブを作成
 * 拡張子がない場合は、オリジナルの形式で保存するようにした
 * Ogg Vorbisファイルの入出力のサポート
 * プラグインにlibsndfileを使用したものを導入し、対応ファイル形式が増えた（ADPCMのWAVやAUなど）
 * 情報ダイアログのトラックナンバーが保存されないバグの修正
 * 切り出しでラベルが消えてしまうバグの修正
 * スクロールバーによる移動で、カーソルは移動しても時間表示が変わらないバグを修正

Version 0.6.6-1b (Mac OS X用β1リリース)	2001/10/28
 * Mac OS Xのサポート
 * Mac OS Xでpthreadに基づくプリエンプティブスレッドを使った編集のサポート
 * 大きなファイルの拡大や縮小を高速に行うためのピークファイルの実装
 * 結合のコマンドを追加(後藤浩昭さんのパッチをベースにしています
   後藤さん、ありがとうございました)
 * 長いファイル(44.1kHzサンプリング、ステレオの場合は25分程度)の後半部分の
   表示、再生、編集がうまくできないバグを修正
 * ウィンドウが一つだけの場合に、保存されていないウィンドウが終了時に
   そのまま閉じられてしまうバグを修正
 * スレッド処理中に操作できないはずのメニューやツールバーの操作が
   できてしまうことがあるバグを修正
 * 新規にファイルを開いたときに、読み込み中に表示されるはずのウィンドウが
   表示されないバグを修正
 * Mac OSで、音飛びを減らすように音声出力関係を改良
 * Mac OSで、カーソルの描画におけるメモリー関係のバグを修正
 * Mac OSで、再生時にウィンドウを閉じることができてしまうバグを修正

Version 0.6.5				2001/3/12
 * カット&ペースト、コピー&ペーストを実装
 * 編集をマルチスレッドで行うようにした
 * 保存のスレッド化と停止を可能にした
 * ループ再生の機能を実装
 * 再生中の範囲の変更を可能にした
 * 波形の振幅値の変更を可能にした
 * スペクトルのリニア表示を実装
 * 現在の読み込み位置の表示を実装
 * Windowsで再生時のCPUパワーの使い過ぎを回避
 * Windows 2000などで起動しないことがあるspComponentのバグを修正
 * Windowsでリサイズなどによりリソースを消費しすぎるバグを修正
 * スレッドを使用した場合に、処理を途中で停止するとデッドロックに
   陥ることがあるバグを修正
 * gtkバージョンで、編集が失敗したときにデッドロックするバグを修正
  （0.5.2-5からのバグです）
 * MP3フォーマットなどで保存する時にいくつかのパラメータが書き込まれないバグを修正
 * 範囲の端をドラッグしてスクロールするときに描画がおかしいバグを修正
 * サンプリング周波数変換のエラーメッセージがおかしいバグを修正
 * リドゥーの際の選択される範囲が一つ前の状態になるバグを修正

Version 0.6.4 （非公開）
Version 0.6.3 （非公開）
Version 0.6.2 （非公開）
Version 0.6.1 （非公開）

Version 0.6.0				2001/1/4
 * マルチチャネルデータのそれぞれのチャネルを選択する機能の実装
 * マルチチャネルデータをモノラル化する機能の実装
 * 処理中にドラッグ&ドロップができてしまうバグを修正
 * スペクトルを表示しているウィンドウが、波形を読み込んだ後でも
   そのウィンドウ上に分析結果が表示されるバグを修正
 * MP3のID3 Version 2以降のデータがあるときに読み込めないことがあるバグを修正
   （MPEG入力プラグインのバグ修正）
 * ファイルフォーマットに対応するプラグインが検索されないことがあるバグを修正
 * Mac OSでダイアログをメニューから閉じたときにクラッシュするバグを修正
 * Mac OS 9でタブをクリックしたときに激しく点滅するバグを修正
 * Mac OS 9でスマートスクロールに対応


Developmental
-------------
Version 0.5.2-5				2000/11/29
 * 一部の環境でダイアログのデフォルトボタンやエスケープキーによるクローズを有効にした
 * Windowsでタブキーによるフォーカスの変更を可能にした
 * Windowsでデザインを変更しているときにダイアログの描画がおかしいバグを修正
 * Mac OSでツールバー、ツールチップを実装
 * Mac OS 7.5.3で動作するようになった
 * Mac OS 8.1以降でのアピアランスのサポート
 * Mac OS 8.1以降でのシフトキーとコントロールキーを用いたショートカットのサポート
 * gtkバージョンでテーマを変更しているときにダイアログの描画がおかしいバグを修正
 * スペクトルを表示しているウィンドウで波形を読み込むといくつかのパラメータが
   書き換わらないバグを修正
 * ウィンドウの左端で、範囲を選択していないのに範囲を広げることができるバグを修正

Version 0.5.2-4				2000/10/30
 * Windowsでいくつかの一時ファイルが消去されないバグを修正
 * サンプリング周波数変換のデフォルト値を変更

Version 0.5.2-3				2000/10/26
 * ファイルの保存後に終了できなくなってしまうバグを修正

Version 0.5.2				2000/10/21
 * 全てのプラグインにひどいバグが発見されました。気づいた人も多かったかと思いますが、
   ヘッダーを持つファイル（Wavファイルなど）を保存すると、全て強制的に8000kHzのモノラルに
   なってしまうという致命的なバグです。0.5.0、0.5.1をお使いの人はspwaveとプラグインを
   アップデートすることを強くお勧めします
 * ドラッグ&ドロップでファイルを開くことができるようになった
   （WindowsとgtkとMac OSバージョン）
 * 24bit、32bit、32bit floatなどのファイルに対応
 * ビット/サンプルの変換のサポート
 * サンプリング周波数の変換のサポート
 * 振幅の変換や、フェードイン、フェードアウトのサポート
 * 再生のスレッド化
 * 編集のスレッド化（バージョン0.5.2-2）
 * サンプリング周波数変換のバグ修正（バージョン0.5.2-2）
 * アンドゥー、リドゥーの高速化
 * 波形の最大値、最小値を効率的に求めるようにした
  （これまではファイルを2回スキャンしていた）
 * プラグインのパラメータ設定を可能に
 * 波形の切り出しに伴いラベルも切り出すようにした
 * ファイル情報のみ変更しても保存できないバグの修正
 * ulawの一時ファイルが8ビットになってしまうバグの修正
 * 時間がかかる処理の際にポインタを時計の形に変更 
 * 長いファイルをかなり拡大するとスクロールバーがおかしくなるバグを修正
 * ウィンドウが拡大されているときにファイルを読み込むと
   拡大率がおかしいというバグを修正
 * 波形の取り出しを行った後に範囲ラベルが通常のラベルに変わってしまうバグを修正
 * 範囲を指定しないときはいくつかのメニューを選択できないようにした


Version 0.5.1				2000/8/14
 * ドラッグ&ドロップで波形の取り出しができるようになった
 * 範囲ラベルの実装
 * ショートカットの変更。Windowsでは、Ctrlキーによるショートカットに変更した
 * ショートカットのAltキーとCtrlキーの入れ替え機能
 * 指定範囲をマウス操作で変えられるようにした
 * 範囲指定の際にマウスを端に持っていくとスクロールするようにした
 * 自動保存の際にヘッダをデータとして読み込んでしまうバグを修正
 * 起動時もフォーマットを選択するダイアログを開くようにした

Version 0.5.0				2000/8/7
 * 長いファイルへの対応
 * 音の再生を停止する機能の追加
 * プラグインのサポート（MP3, WAVなどが、プラグインを通じて読み込まれます）
 * アンドゥー、リドゥーのサポート
 * ファイル情報の編集をサポート
 * バグ対策として、ラベルファイルの仕様変更
 * 取り出された領域を自動保存する機能の追加
 * 値付きラベルを挿入する機能の追加

Version 0.3.4-2				1999/6/21
 * Windows版で、日本語のファイル名を持つファイルを
  コマンドラインから読み込むときに失敗するバグを修正
 * バージョン0.3.3で入った、ファイルが無いときに落ちるというバグを修正
 * Windowsで、ウィンドウをリサイズしたときに、上端と左端が黒くなるバグを修正

Version 0.3.4				1999/6/14
 * スケールの表示のサポート
 * 0.3.3で、Wavファイルのヘッダまでもデータとして読み込むという
  バグが入ってしまったのを修正
 * Windows上で音声を再生するときに、ノイズがのるバグを修正

Version 0.3.3-2				1999/6/9
 * マルチチャネルデータの分析結果がおかしいというバグを修正

Version 0.3.3				1999/6/8
 * 分析のサポート
 * マルチチャンネルのrawファイルを読み込んだときにクラッシュするバグを修正

Version 0.3.2				1999/5/30
 * ラベルのサポート
 * ときどき原因不明のクラッシュを引き起こす設定ダイアログのバグを修正
 * ショートカットによりファイルを再生しようとしたときのバグを修正

Version 0.3.1				1999/5/22
 * ツールバーの追加
 * spComponent のバグ修正

Version 0.3.0				1999/5/13
 * 設定ダイアログの改良
 * 新たなメニューの追加


Stable
------
Version 0.4.1				1999/12/17
 * Windowsバージョンの、スクロールの際のバグを修正
 * ラベルを読み込む際のバグを修正

Version 0.4.0-2				1999/7/21
 * gtkバージョンの範囲選択の描画がおかしいバグを修正

Version 0.4.0				1999/6/26
 * バージョン0.3.4-2とほぼ同じです

Version 0.2.1-3				1999/5/3
 * Windows上で、比較的長い音声ファイルを繰り返し再生したときに
   クラッシュするバグを修正

Version 0.2.1				1999/4/25
 * フォーマット選択ダイアログを開く時のバグを修正
 * シンプルな設定ダイアログを追加

Version 0.2.0				1999/4/10
 * 最初のバージョン
